E-MailRelay

Public Member Functions | List of all members
G::ScopeExitSetFalse Class Reference

A class that sets a boolean variable to false at the end of its scope. More...

`#include <gscope.h>`

## Public Member Functions
| ScopeExitSetFalse (bool &bref) noexcept
| Constructor. More...
| ~ScopeExitSetFalse () noexcept
| Destructor, sets the bound value to false. More...
| ScopeExitSetFalse (const ScopeExitSetFalse &)=delete
| ScopeExitSetFalse (ScopeExitSetFalse &&)=delete
void | operator= (const ScopeExitSetFalse &)=delete
void | operator= (ScopeExitSetFalse &&)=delete

## Detailed Description

A class that sets a boolean variable to false at the end of its scope.

Eg:

{
ScopeExitSetFalse _( m_busy = true ) ;
...
}
G::ScopeExitSetFalse::ScopeExitSetFalse
ScopeExitSetFalse(bool &bref) noexcept
Constructor.
Definition: gscope.h:118

Definition at line 79 of file gscope.h.

## Constructor & Destructor Documentation

## ◆ ScopeExitSetFalse()

G::ScopeExitSetFalse::ScopeExitSetFalse | ( | bool & | bref | ) |
| inline explicit noexcept

Constructor.

Definition at line 118 of file gscope.h.

## ◆ ~ScopeExitSetFalse()

G::ScopeExitSetFalse::~ScopeExitSetFalse | ( |  | ) |
| inline noexcept

Destructor, sets the bound value to false.

Definition at line 124 of file gscope.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gscope.h